<?php 
require_once("../includes/clase_sesion.php");
$sesion=new sesion(); // inicio la sesion
require_once("../includes/academia_constantes.php");
require_once("../includes/funciones_generales.php");
require_once("../includes/lib_lenguaje.php");

$cleguaje=new cLanguage();

if(!comprobar_sesion()){
	$responce->page = 0;
	$responce->total = 0;
	$responce->records = 0;
	echo json_encode($responce);
	exit();
}

require_once("../includes/MySQL.php");
$academia = new Servidor_Base_Datos(AC_CONN_HOST,AC_CONN_USER,AC_CONN_PASS,AC_CONN_DB."".$sesion->get('anio'));
require_once("../includes/funciones_buscador.php");

$examp = $_REQUEST["q"]; //query number

$page = $_REQUEST['page']; // get the requested page
$limit = $_REQUEST['rows']; // get how many rows we want to have into the grid
$sidx = $_REQUEST['sidx']; // get index row - i.e. user click to sort
$sord = $_REQUEST['sord']; // get the direction
$id = $_REQUEST['id'];
if(!$sidx) $sidx =1;
if(!$sord) $sord ="asc";
if(!$limit) $limit =10;

// search options
// IMPORTANT NOTE!!!!!!!!!!!!!!!!!!!!!!!!!!!!
// this type of constructing is not recommendet
// it is only for demonstration
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$wh = "";
$searchOn = Strip($_REQUEST['_search']);
if($searchOn=='true') {
	$searchstr = Strip($_REQUEST['filters']);
	//$wh= constructWhere($searchstr);
	$jsona = json_decode($searchstr,true);
	$wh =  " AND ".getStringForGroup($jsona);
	//var_dump($wh);
	//echo $ss;
}

		$cons="SELECT COUNT(*) AS count FROM `adm_administrativos` WHERE 1=1 ".$wh;
		$academia->instruccion($cons);
		
		$row = $academia->extraer_registro();
		$count = $row['count'];
		$academia->liberar();
		if( $count >0 ) {
			$total_pages = ceil($count/$limit);
		} else {
			$total_pages = 0;
		}
        if ($page > $total_pages) $page=$total_pages;
		$start = $limit*$page - $limit; // do not put $limit*($page - 1)
		if ($start<0) $start = 0;
		
        $SQL = "SELECT cod_adtivo, ide_adtivo, LOWER(ape1_adtivo) AS ape1_adtivo, LOWER(ape2_adtivo) AS ape2_adtivo, LOWER(no1_adtivo) AS no1_adtivo, 
LOWER(no2_adtivo) AS no2_adtivo, genero, LOWER(nom_cargo) AS cargo FROM    adm_administrativos
    INNER JOIN adm_cargos 
        ON (adm_administrativos.cod_cargo = adm_cargos.cod_cargo) WHERE 1=1".$wh." ORDER BY $sidx $sord LIMIT $start , $limit";
		//echo $SQL;
        $responce->page = $page;
        $responce->total = $total_pages;
        $responce->records = $count;
		$academia->instruccion($SQL);
        $i=0;
		while($row = $academia->extraer_registro()) {
            $responce->rows[$i]['id']=$i;
			$nombre=$row[ape1_adtivo] . " " . $row[ape2_adtivo] . " " . $row[no1_adtivo] . " " . $row[no2_adtivo];
			$responce->rows[$i]['cell']=array($row[ide_adtivo], $row[ape1_adtivo],strtoupper($row[genero]), ucwords($row[cargo]));
            $i++;
		} 
        echo json_encode($responce);
		
$academia->cerrar();

?>
